SK_ATTACH_FILTER(9)

NAME
sk_attach_filter - attach a socket filter

SYNOPSIS

int sk_attach_filter(struct sock_fprog * fprog, struct sock * sk);

ARGUMENTS

fprog
    the filter program

sk
    the socket to use

DESCRIPTION

Attach the user's filter code. We first run some sanity checks on it to make sure it does not explode on us later. If an error occurs or there is insufficient memory for the filter a negative errno code is returned. On success the return is zero.

COPYRIGHT